列出多阶段访问评审 (的决策)
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
在多阶段访问评审中从某个阶段获取决策。 accessReviewStage 对象中的决策由 accessReviewInstanceDecisionItem 对象表示。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | AccessReview.Read.All、AccessReview.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用 | AccessReview.Read.All、AccessReview.ReadWrite.All |
HTTP 请求
GET /identityGovernance/accessReviews/definitions/{accessReviewScheduleDefinitionId}/instances/{accessReviewInstanceId}/stages/{accessReviewStageId}/decisions
可选的查询参数
此方法支持 $selectOData $orderBy``$filter查询参数,$top``$skip以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数。
此 API 的默认页面大小为 100 个 accessReviewStage 对象。 若要提高效率并避免因大型结果集而超时,请使用 $skip 分页和 $top 查询参数。 有关详细信息,请参阅在应用中对 Microsoft Graph 数据进行分页。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 accessReviewInstanceDecisionItem 对象的集合。
示例
请求
GET https://graph.microsoft.com/beta/identityGovernance/accessReviews/definitions/16d424f6-0100-4bf1-9ebc-fe009c5e5006/instances/bb14c722-51b8-4962-9bd2-1d96ba773d80/stages/8f0a8999-205b-4c29-a68c-2bee353fd4c5/decisions
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/identityGovernance/accessReviews/definitions/16d424f6-0100-4bf1-9ebc-fe009c5e5006/instances/bb14c722-51b8-4962-9bd2-1d96ba773d80/stages/8f0a8999-205b-4c29-a68c-2bee353fd4c5/decisions",
"@odata.count": 1,
"value": [
{
"id": "bfbd4d74-275c-4368-aaa1-06c93838d0d5",
"accessReviewId": "bb14c722-51b8-4962-9bd2-1d96ba773d80",
"reviewedDateTime": "2021-05-05T16:48:28.79Z",
"decision": "Deny",
"justification": "bye alexxxxx",
"appliedDateTime": "2021-05-05T16:50:30.9Z",
"applyResult": "AppliedSuccessfully",
"recommendation": "Approve",
"principalLink": "https://graph.microsoft.com/v1.0/users/540da31b-4d25-4934-b7f7-98bc230eb15a",
"resourceLink": null,
"resource": null,
"reviewedBy": {
"id": "ff15bedb-22de-49ad-b2d7-59656607484d",
"displayName": "group owner",
"userPrincipalName": "group owner"
},
"appliedBy": {
"id": "8798d204-fa3c-4d7b-977d-bc939b8a0848",
"displayName": "Access Reviews",
"userPrincipalName": ""
},
"target": {
"@odata.type": "#microsoft.graph.accessReviewInstanceDecisionItemUserTarget",
"userId": "540da31b-4d25-4934-b7f7-98bc230eb15a",
"userDisplayName": "Alex Wilber",
"userPrincipalName": "AlexW@contoso.com"
},
"principal": {
"@odata.type": "#microsoft.graph.userIdentity",
"id": "540da31b-4d25-4934-b7f7-98bc230eb15a",
"displayName": "Alex Wilber",
"userPrincipalName": "AlexW@contoso.com"
}
}
]
}
反馈
提交和查看相关反馈